Ruby 2.1.5p273(2014-11-13revision48405)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_heap_struct Struct Reference

## Data Fields
struct heap_page * | pages
struct heap_page * | free_pages
struct heap_page * | using_page
struct heap_page * | sweep_pages
RVALUE * | freelist
size_t | page_length
size_t | total_slots

## Detailed Description

Definition at line 407 of file gc.c.

## Field Documentation

struct heap_page* rb_heap_struct::free_pages

Definition at line 409 of file gc.c.

Referenced by gc_before_heap_sweep(), gc_heap_lazy_sweep(), gc_heap_prepare_minimum_pages(), heap_add_freepage(), heap_get_freeobj_from_next_freepage(), heap_prepare_freepage(), and heap_ready_to_gc().

RVALUE* rb_heap_struct::freelist

Definition at line 412 of file gc.c.

Referenced by gc_before_heap_sweep(), heap_get_freeobj(), and heap_ready_to_gc().

size_t rb_heap_struct::page_length

Definition at line 413 of file gc.c.

Referenced by heap_add_page(), heap_increment(), heap_unlink_page(), and rb_objspace_free().

struct heap_page* rb_heap_struct::pages

Definition at line 408 of file gc.c.

Referenced by gc_before_heap_sweep(), heap_add_page(), heap_unlink_page(), rb_objspace_free(), rgengc_mark_and_rememberset_clear(), and rgengc_rememberset_mark().

struct heap_page* rb_heap_struct::sweep_pages

Definition at line 411 of file gc.c.

Referenced by gc_before_heap_sweep(), and gc_heap_lazy_sweep().

size_t rb_heap_struct::total_slots

Definition at line 414 of file gc.c.

Referenced by gc_after_sweep(), heap_add_page(), heap_unlink_page(), and rb_objspace_free().

struct heap_page* rb_heap_struct::using_page

Definition at line 410 of file gc.c.

Referenced by gc_before_heap_sweep(), and heap_get_freeobj_from_next_freepage().

The documentation for this struct was generated from the following file:

- gc.c